summaryrefslogtreecommitdiffstats
path: root/libraries/appstream-glib
diff options
context:
space:
mode:
author Andrew Clemons2017-08-06 14:04:11 +0200
committer Willy Sudiarto Raharjo2017-08-12 01:57:31 +0200
commitf253c592d7027d3f95e22dba16827987591ce26d (patch)
treef5dfb8ebad374fd49f6e9ff5d5ec095c443bc2e6 /libraries/appstream-glib
parent9b40b6058d98e1997835935c66676fdc7aec65f3 (diff)
downloadslackbuilds-f253c592d7027d3f95e22dba16827987591ce26d.tar.gz
libraries/appstream-glib: Added (read and write AppStream metadata).
Signed-off-by: David Spencer <idlemoor@slackbuilds.org>
Diffstat (limited to 'libraries/appstream-glib')
-rw-r--r--libraries/appstream-glib/README1
-rw-r--r--libraries/appstream-glib/appstream-glib.SlackBuild107
-rw-r--r--libraries/appstream-glib/appstream-glib.info10
-rw-r--r--libraries/appstream-glib/slack-desc19
4 files changed, 137 insertions, 0 deletions
diff --git a/libraries/appstream-glib/README b/libraries/appstream-glib/README
new file mode 100644
index 0000000000..80dfa9af5e
--- /dev/null
+++ b/libraries/appstream-glib/README
@@ -0,0 +1 @@
+appstream-glib - libary to help reading and writing AppStream metadata.
diff --git a/libraries/appstream-glib/appstream-glib.SlackBuild b/libraries/appstream-glib/appstream-glib.SlackBuild
new file mode 100644
index 0000000000..e58b27a20d
--- /dev/null
+++ b/libraries/appstream-glib/appstream-glib.SlackBuild
@@ -0,0 +1,107 @@
+#!/bin/sh
+
+# Slackware build script for appstream-glib
+
+# Copyright 2017 Andrew Clemons, Wellington New Zealand
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=appstream-glib
+VERSION=${VERSION:-0.7.1}
+SRCVERSION=$(echo "$PRGNAM" | tr - _)_$(echo "$VERSION" | tr . _)
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$SRCVERSION
+tar xvf $CWD/$PRGNAM-$SRCVERSION.tar.gz
+cd $PRGNAM-$SRCVERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --mandir=/usr/man \
+ --enable-dep11 \
+ --enable-gtk-doc \
+ --disable-stemmer \
+ --disable-rpm
+
+# not sure why this is necessary
+sed -i "/^ COMMAND = \/usr\/bin\/g-ir-scanner/s/-lyaml //" _build/build.ninja
+
+make
+make install DESTDIR=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ AUTHORS COPYING MAINTAINERS NEWS README.md RELEASE \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/libraries/appstream-glib/appstream-glib.info b/libraries/appstream-glib/appstream-glib.info
new file mode 100644
index 0000000000..658c4e8cd1
--- /dev/null
+++ b/libraries/appstream-glib/appstream-glib.info
@@ -0,0 +1,10 @@
+PRGNAM="appstream-glib"
+VERSION="0.7.1"
+HOMEPAGE="https://github.com/hughsie/appstream-glib"
+DOWNLOAD="https://github.com/hughsie/appstream-glib/archive/appstream_glib_0_7_1/appstream-glib-appstream_glib_0_7_1.tar.gz"
+MD5SUM="e1712689ee776059ba3f1f19b36b42b4"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="meson json-glib gcab"
+MAINTAINER="Andrew Clemons"
+EMAIL="andrew.clemons@gmail.com"
diff --git a/libraries/appstream-glib/slack-desc b/libraries/appstream-glib/slack-desc
new file mode 100644
index 0000000000..002f3f3db5
--- /dev/null
+++ b/libraries/appstream-glib/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+appstream-glib: appstream-glib (library for reading and writing AppStream metadata)
+appstream-glib:
+appstream-glib: This library provides GObjects and helper methods to make it
+appstream-glib: easy to read and write AppStream metadata.
+appstream-glib:
+appstream-glib: https://github.com/hughsie/appstream-glib/
+appstream-glib:
+appstream-glib:
+appstream-glib:
+appstream-glib:
+appstream-glib: